classification
Title: Some "Other Resources" in the sidebar are hopelessly out of date
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.2, Python 3.3, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: ezio.melotti Nosy List: docs@python, eric.araujo, eric.snow, ezio.melotti, georg.brandl, nedbat, python-dev
Priority: normal Keywords: patch

Created on 2012-03-25 17:23 by nedbat, last changed 2012-05-14 10:33 by ezio.melotti. This issue is now closed.

Files
File name Uploaded Description Edit
issue14405.diff ezio.melotti, 2012-04-29 05:10 Patch to remove outdated/broken/duplicate links. review
Messages (4)
msg156761 - (view) Author: Ned Batchelder (nedbat) * (Python triager) Date: 2012-03-25 17:23
The "Other Resources" section lists these resources:


Guido's Essays: out of date, the first is about 2.2, by the fifth, we're into Python 1.5.

New-style Classes: this means "new" as of 2.2, and the linked page begins, "Unfortunately, new-style classes have not yet been integrated into Python's standard documention."

These two links should be removed from the doc sidebar, they don't add much over the documentation itself.
msg156888 - (view) Author: Eric Snow (eric.snow) * (Python committer) Date: 2012-03-27 01:03
+0 as long as the linked pages don't go anywhere.  They've been great resources, containing some information that is not located elsewhere.
msg159575 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2012-04-29 05:10
Here's a patch that removes a few links:
 * FAQs: the link is already in the page;
 * Guido's Essays: the content is outdated;
 * New-style Classes: the content is outdated;
 * Other Doc Collections: link is broken;
 * Report a Bug: the link is already in the page;

Someone should also update the pages about New-style Classes and Guido's Essays.
msg160603 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2012-05-14 10:32
New changeset 855a6796312b by Ezio Melotti in branch '2.7':
#14405: remove outdated/broken/duplicate links.
http://hg.python.org/cpython/rev/855a6796312b

New changeset b50d4ae6aaa3 by Ezio Melotti in branch '3.2':
#14405: remove outdated/broken/duplicate links.
http://hg.python.org/cpython/rev/b50d4ae6aaa3

New changeset 8a8120ee1202 by Ezio Melotti in branch 'default':
#14405: merge with 3.2.
http://hg.python.org/cpython/rev/8a8120ee1202
History
Date User Action Args
2012-05-14 10:33:13ezio.melottisetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2012-05-14 10:32:39python-devsetnosy: + python-dev
messages: + msg160603
2012-04-29 05:10:05ezio.melottisetfiles: + issue14405.diff

type: enhancement
assignee: docs@python -> ezio.melotti
versions: + Python 2.7, Python 3.2, Python 3.3
keywords: + patch
nosy: + georg.brandl, eric.araujo

messages: + msg159575
stage: patch review
2012-04-02 12:35:07ezio.melottisetnosy: + ezio.melotti
2012-03-27 01:03:35eric.snowsetnosy: + eric.snow
messages: + msg156888
2012-03-25 17:23:29nedbatcreate